> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Instamart Category

> Extract Instamart category page listings — products, prices, stock, ratings — from category URLs

`$0.005 / 1k products`

Extract Instamart category page listings — products, prices, stock, ratings — from category URLs

## Endpoint

`POST /api/v1/agents/instamart/category/run`

## Parameters

<ParamField body="category" type="array" required>
  **Multi-select** · Subcategories to scrape (Main → Sub). Pick one or more.

  [View all 593 options →](/agents/instamart/category/values#category)
</ParamField>

<ParamField body="stores" type="array">
  **Multi-select** · Pick one or more dark-store locations (city - pincode - store ID).

  [View all 1206 options →](/agents/instamart/category/values#stores)
</ParamField>

<ParamField body="cities" type="array">
  **Multi-select** · Or expand by city — pick one or more cities and we'll include all their stores.

  [View all 145 options →](/agents/instamart/category/values#cities)
</ParamField>

<ParamField body="pincodes" type="array">
  **Multi-select** · Or expand by pincode — pick one or more pincodes and we'll include all their stores.

  [View all 820 options →](/agents/instamart/category/values#pincodes)
</ParamField>

## Response columns

| Field         | Display name | Type       |
| ------------- | ------------ | ---------- |
| `category`    | Category     | text       |
| `storeId`     | Store ID     | text       |
| `city`        | City         | text       |
| `pincode`     | Pincode      | text       |
| `productUrl`  | Product URL  | url        |
| `productName` | Product Name | text       |
| `brand`       | Brand        | text       |
| `image`       | Image        | url        |
| `price`       | Price        | currency   |
| `mrp`         | MRP          | currency   |
| `discount`    | Discount %   | percentage |
| `quantity`    | Quantity     | text       |
| `rating`      | Rating       | rating     |
| `inStock`     | In Stock     | boolean    |
| `inventory`   | Inventory    | number     |
| `subCategory` | Sub-Category | text       |
| `platform`    | Platform     | text       |
| `productId`   | Product ID   | text       |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/instamart/category/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "platform": "instamart",
      "store_id": "1313712",
      "category": "Chips and Namkeens",
      "max_pages": 1
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/instamart/category/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "platform": "instamart",
      "store_id": "1313712",
      "category": "Chips and Namkeens",
      "max_pages": 1
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "category": "Namkeens",
      "storeId": "1313712",
      "city": "Bengaluru",
      "pincode": "560001",
      "productUrl": "https://www.swiggy.com/instamart/item/74KD2IZQ9S",
      "productName": "adukale Khara Muruku",
      "brand": "adukale",
      "image": [
        "https://instamart-media-assets.swiggy.com/swiggy/image/upload/fl_lossy,f_auto,q_auto,h_600/NI_CATALOG/IMAGES/CIW/2026/3/19/0b23e6c1-fb41-4c85-8ea0-6cf6123a77bf_13763_1.png",
        "https://instamart-media-assets.swiggy.com/swiggy/image/upload/fl_lossy,f_auto,q_auto,h_600/NI_CATALOG/IMAGES/CIW/2026/3/19/c42f3421-122a-42a1-bb0d-08d58d5e9c9f_13763_2.png",
        "https://instamart-media-assets.swiggy.com/swiggy/image/upload/fl_lossy,f_auto,q_auto,h_600/NI_CATALOG/IMAGES/CIW/2026/3/19/6ae5e05d-c5b4-409b-b17f-3b2c73c0b188_13763_3.png",
        "https://instamart-media-assets.swiggy.com/swiggy/image/upload/fl_lossy,f_auto,q_auto,h_600/NI_CATALOG/IMAGES/CIW/2026/3/19/3c7ef99b-6cdc-45ff-981a-c49156f4b127_13763_4.png",
        "https://instamart-media-assets.swiggy.com/swiggy/image/upload/fl_lossy,f_auto,q_auto,h_600/NI_CATALOG/IMAGES/CIW/2026/3/19/474c8a49-0a9b-4fea-9513-b3e71ef4f727_13763_5.png",
        "https://instamart-media-assets.swiggy.com/swiggy/image/upload/fl_lossy,f_auto,q_auto,h_600/NI_CATALOG/IMAGES/CIW/2026/3/19/9bb3fb7a-36b7-462a-a115-e59b92a8b967_13763_6.png"
      ],
      "price": 77.0,
      "mrp": 95.0,
      "discount": 18.95,
      "quantity": "180 g",
      "rating": 4.5,
      "inStock": true,
      "inventory": 1,
      "subCategory": "Snacks",
      "platform": "Instamart",
      "productId": "74KD2IZQ9S"
    }
  ]
}
```
